You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     r...@freebsd.org
Last committer: swi...@freebsd.org
Ident:          $FreeBSD: branches/2016Q4/devel/rubygem-glib2/Makefile 414136 
2016-04-27 21:57:31Z swills $
Log URL:        
http://beefy14.nyi.freebsd.org/data/110mips-quarterly/427426/logs/rubygem-glib2-3.0.8.log
Build URL:      
http://beefy14.nyi.freebsd.org/build.html?mastername=110mips-quarterly&build=427426
Log:

====>> Building devel/rubygem-glib2
build started at Thu Dec  1 01:12:05 UTC 2016
port directory: /usr/ports/devel/rubygem-glib2
building for: FreeBSD 110mips-quarterly-job-20 11.0-RELEASE-p3 FreeBSD 
11.0-RELEASE-p3 r308202 mips
maintained by: r...@freebsd.org
Makefile ident:      $FreeBSD: branches/2016Q4/devel/rubygem-glib2/Makefile 
414136 2016-04-27 21:57:31Z swills $
Poudriere version: 3.1.14
Host OSVERSION: 1200010
Jail OSVERSION: 1100122
Job Id: 20

---Begin Environment---
SHELL=/bin/csh
UNAME_p=mips
UNAME_m=mips
ABI_FILE=/usr/lib/crt1.o
UNAME_v=FreeBSD 11.0-RELEASE-p3 r308202
UNAME_r=11.0-RELEASE-p3
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=mips
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/110mips-quarterly/ref
QEMU_EMULATING=1
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=rubygem-glib2-3.0.8
OSREL=11.0
_OSRELEASE=11.0-RELEASE-p3
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=28
PWD=/usr/local/poudriere/data/.m/110mips-quarterly/ref/.p/pool
MASTERNAME=110mips-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.14
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1100122
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/rubygem-glib2/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/rubygem-glib2/work  
HOME=/wrkdirs/usr/ports/devel/rubygem-glib2/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/rubygem-glib2/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/rubygem-glib2/work  
HOME=/wrkdirs/usr/ports/devel/rubygem-glib2/work TMPDIR="/tmp" NO_PIE=yes 
MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  
CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe -G0  -fno-strict-aliasing"  
CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  LDFLAGS="" LIBS=""  
CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -G0 -fno-strict-aliasing "  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
RUBY_LIBDIR="lib/ruby/2.2"
RUBY_ARCHLIBDIR="lib/ruby/2.2/mips-freebsd11"
RUBY_SITELIBDIR="lib/ruby/site_ruby/2.2"
RUBY_SITEARCHLIBDIR="lib/ruby/site_ruby/2.2/mips-freebsd11"
RUBY_VENDORLIBDIR="lib/ruby/vendor_ruby/2.2"
RUBY_VENDORARCHLIBDIR="lib/ruby/vendor_ruby/2.2/mips-freebsd11"
RUBY_MODDOCDIR="share/doc/ruby22/glib2"
RUBY_MODEXAMPLESDIR="share/examples/ruby22/glib2"
RUBY_DOCDIR="share/doc/ruby22"
RUBY_EXAMPLESDIR="share/examples/ruby22"
RUBY_RIDIR="share/ri/2.2/system"
RUBY_SITERIDIR="share/ri/2.2/site"
RUBY_VERSION="2.2.5"
RUBY_VER="2.2"
RUBY_SHLIBVER="22"
RUBY_ARCH="mips-freebsd11"
RUBY_SUFFIX="22"
RUBY_NAME="ruby22"
RUBY_DEFAULT_SUFFIX="22"
RUBY21="@comment
"
RUBY22=""
RUBY23="@comment
"
PORTVERSION="3.0.8"
REV=""
GEMS_BASE_DIR="lib/ruby/gems/2.2"
GEMS_DIR="lib/ruby/gems/2.2/gems"
DOC_DIR="lib/ruby/gems/2.2/doc"
CACHE_DIR="lib/ruby/gems/2.2/cache"
SPEC_DIR="lib/ruby/gems/2.2/specifications"
EXT_DIR="lib/ruby/gems/2.2/extensions"
PORT="glib2-3.0.8"
GEM_NAME="glib2-3.0.8"
GEM_LIB_DIR="lib/ruby/gems/2.2/gems/glib2-3.0.8"
GEM_DOC_DIR="lib/ruby/gems/2.2/doc/glib2-3.0.8"
GEM_SPEC="lib/ruby/gems/2.2/specifications/glib2-3.0.8.gemspec"
GEM_CACHE="lib/ruby/gems/2.2/cache/glib2-3.0.8.gem"
EXTRACT_SUFX=".gem"
GTK2_VERSION="2.10.0"
GTK3_VERSION="3.0.0"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/glib2"
EXAMPLESDIR="share/examples/glib2"
DATADIR="share/glib2"
WWWDIR="www/glib2"
ETCDIR="etc/glib2"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/glib2
DOCSDIR=/usr/local/share/doc/glib2
EXAMPLESDIR=/usr/local/share/examples/glib2
WWWDIR=/usr/local/www/glib2
ETCDIR=/usr/local/etc/glib2
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
MACHINE=mips
MACHINE_ARCH=mips
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
=======================<phase: check-sanity   >============================
===>  License LGPL21+ accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   rubygem-glib2-3.0.8 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.8.8.txz
[110mips-quarterly-job-20] Installing pkg-1.8.8...
[110mips-quarterly-job-20] Extracting pkg-1.8.8: .......... done
===>   rubygem-glib2-3.0.8 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of rubygem-glib2-3.0.8
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License LGPL21+ accepted by the user
===> Fetching all distfiles required by rubygem-glib2-3.0.8 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License LGPL21+ accepted by the user
===> Fetching all distfiles required by rubygem-glib2-3.0.8 for building
=> SHA256 Checksum OK for rubygem/glib2-3.0.8.gem.
===========================================================================
=======================<phase: extract-depends>============================
===>   rubygem-glib2-3.0.8 depends on file: /usr/local/bin/ruby22 - not found
===>   Installing existing package /packages/All/ruby-2.2.5_1,1.txz
[110mips-quarterly-job-20] Installing ruby-2.2.5_1,1...
[110mips-quarterly-job-20] `-- Installing libffi-3.2.1...
[110mips-quarterly-job-20] |   `-- Installing indexinfo-0.2.5...
[110mips-quarterly-job-20] |   `-- Extracting indexinfo-0.2.5: .... done
[110mips-quarterly-job-20] `-- Extracting libffi-3.2.1: .......... done
[110mips-quarterly-job-20] `-- Installing libyaml-0.1.6_2...
[110mips-quarterly-job-20] `-- Extracting libyaml-0.1.6_2: ......... done
[110mips-quarterly-job-20] `-- Installing libedit-3.1.20150325_2,1...
[110mips-quarterly-job-20] `-- Extracting libedit-3.1.20150325_2,1: .......... 
done
[110mips-quarterly-job-20] Extracting ruby-2.2.5_1,1: .......... done
Message from ruby-2.2.5_1,1:
====
Some of the standard commands are provided as separate ports for ease
of upgrading:

        devel/ruby-gems:        gem - RubyGems package manager
        devel/rubygem-rake:     rake - Ruby Make

And some of the standard libraries are provided as separate ports
since they require extra dependencies:

        databases/ruby-gdbm:    GDBM module

Install them as occasion demands.
====
===>   rubygem-glib2-3.0.8 depends on file: /usr/local/bin/ruby22 - found
===>   Returning to build of rubygem-glib2-3.0.8
===>   rubygem-glib2-3.0.8 depends on file: /usr/local/bin/gem22 - not found
===>   Installing existing package /packages/All/ruby22-gems-2.6.4.txz
[110mips-quarterly-job-20] Installing ruby22-gems-2.6.4...
[110mips-quarterly-job-20] Extracting ruby22-gems-2.6.4: .......... done
===>   rubygem-glib2-3.0.8 depends on file: /usr/local/bin/gem22 - found
===>   Returning to build of rubygem-glib2-3.0.8
===========================================================================
=======================<phase: extract        >============================
===>  License LGPL21+ accepted by the user
===> Fetching all distfiles required by rubygem-glib2-3.0.8 for building
===>  Extracting for rubygem-glib2-3.0.8
=> SHA256 Checksum OK for rubygem/glib2-3.0.8.gem.
Unpacked gem: '/wrkdirs/usr/ports/devel/rubygem-glib2/work/glib2-3.0.8'
===========================================================================
=======================<phase: patch-depends  >============================
===>   rubygem-glib2-3.0.8 depends on file: /usr/local/bin/ruby22 - found
===========================================================================
=======================<phase: patch          >============================
===>  Patching for rubygem-glib2-3.0.8
===>  Applying FreeBSD patches for rubygem-glib2-3.0.8
===========================================================================
=======================<phase: build-depends  >============================
===>   rubygem-glib2-3.0.8 depends on file: /usr/local/bin/ruby22 - found
===>   rubygem-glib2-3.0.8 depends on file: /usr/local/bin/gem22 - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   rubygem-glib2-3.0.8 depends on shared library: libglib-2.0.so - not found
===>   Installing existing package /packages/All/glib-2.46.2_3.txz
[110mips-quarterly-job-20] Installing glib-2.46.2_3...
[110mips-quarterly-job-20] `-- Installing libiconv-1.14_9...
[110mips-quarterly-job-20] `-- Extracting libiconv-1.14_9: .......... done
[110mips-quarterly-job-20] `-- Installing python27-2.7.12...
[110mips-quarterly-job-20] |   `-- Installing gettext-runtime-0.19.8.1...
[110mips-quarterly-job-20] |   `-- Extracting gettext-runtime-0.19.8.1: 
.......... done
[110mips-quarterly-job-20] |   `-- Installing readline-6.3.8...
[110mips-quarterly-job-20] |   `-- Extracting readline-6.3.8: .......... done
[110mips-quarterly-job-20] `-- Extracting python27-2.7.12: .......... done
[110mips-quarterly-job-20] `-- Installing pcre-8.39...
[110mips-quarterly-job-20] `-- Extracting pcre-8.39: .......... done
[110mips-quarterly-job-20] `-- Installing perl5-5.20.3_15...
[110mips-quarterly-job-20] `-- Extracting perl5-5.20.3_15: .......... done
[110mips-quarterly-job-20] Extracting glib-2.46.2_3: .......... done
No schema files found: doing nothing.
Message from python27-2.7.12:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
Message from perl5-5.20.3_15:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
===>   rubygem-glib2-3.0.8 depends on shared library: libglib-2.0.so - found 
(/usr/local/lib/libglib-2.0.so)
===>   Returning to build of rubygem-glib2-3.0.8
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for rubygem-glib2-3.0.8
===========================================================================
=======================<phase: build          >============================
===>  Building for rubygem-glib2-3.0.8
  Successfully built RubyGem
  Name: glib2
  Version: 3.0.8
  File: glib2-3.0.8.gem
===========================================================================
=======================<phase: run-depends    >============================
===>   rubygem-glib2-3.0.8 depends on package: rubygem-pkg-config>=0 - not found
===>   Installing existing package /packages/All/rubygem-pkg-config-1.1.7_1.txz
[110mips-quarterly-job-20] Installing rubygem-pkg-config-1.1.7_1...
[110mips-quarterly-job-20] Extracting rubygem-pkg-config-1.1.7_1: .......... 
done
===>   rubygem-glib2-3.0.8 depends on package: rubygem-pkg-config>=0 - found
===>   Returning to build of rubygem-glib2-3.0.8
===>   rubygem-glib2-3.0.8 depends on file: /usr/local/bin/ruby22 - found
===>   rubygem-glib2-3.0.8 depends on file: /usr/local/bin/gem22 - found
===========================================================================
=======================<phase: stage          >============================
===>  Staging for rubygem-glib2-3.0.8
===>   Generating temporary packing list
(cd /wrkdirs/usr/ports/devel/rubygem-glib2/work/glib2-3.0.8; /usr/bin/env 
RB_USER_INSTALL=yes LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 LC_CTYPE=UTF-8 
/usr/local/bin/gem22 install -l --no-update-sources --install-dir 
/wrkdirs/usr/ports/devel/rubygem-glib2/work/stage/usr/local/lib/ruby/gems/2.2 
--ignore-dependencies 
--bindir=/wrkdirs/usr/ports/devel/rubygem-glib2/work/stage/usr/local/bin --rdoc 
--ri glib2-3.0.8.gem -- --build-args )
Building native extensions with: '--build-args'
This could take a while...
====>> Killing runaway build after 72000 seconds with no output
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to